log4cpp: log4cpp Namespace Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# log4cpp Namespace Reference

The top level namespace for all 'Log for C++' types and classes. More...

## Classes
class | AbortAppender
| This Appender causes the application to abort() upon the first append() call. More...
class | Appender
| Implement this interface for your own strategies for printing log statements. More...
class | AppendersFactory
class | AppenderSkeleton
| AppenderSkeleton is a helper class, simplifying implementation of Appenders: it already takes care of handling of Thresholds and Filters. More...
class | BasicConfigurator
| This class implements a trivial default configuration for log4cpp: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category. More...
class | BasicLayout
| BasicLayout is a simple fixed format Layout implementation. More...
class | BufferingAppender
class | Category
| This is the central class in the log4j package. More...
class | CategoryStream
| This class enables streaming simple types and objects to a category. More...
class | ConfigureFailure
| Exception class for configuration. More...
class | FactoryParams
class | FileAppender
class | Filter
| Users should extend this class to implement customized logging event filtering. More...
class | FixedContextCategory
| This Category subclass replaces the NDC field in LoggingEvents with a fixed context string. More...
class | HierarchyMaintainer
| HierarchyMaintainer is an internal log4cpp class. More...
class | IdsaAppender
| IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz. More...
class | Layout
| Extend this abstract class to create your own log layout format. More...
class | LayoutAppender
| LayoutAppender is a common superclass for all Appenders that require a Layout. More...
class | LayoutsFactory
class | LevelEvaluator
struct | LoggingEvent
| The internal representation of logging events. More...
class | width
class | tab
class | NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "Pattern Languages of Program Design 3" edited by Martin et al. More...
class | NTEventLogAppender
| NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log. More...
class | OstreamAppender
| OstreamAppender appends LoggingEvents to ostreams. More...
class | PassThroughLayout
class | PatternLayout
| PatternLayout is a simple fixed format Layout implementation. More...
class | Priority
| The Priority class provides importance levels with which one can categorize log messages. More...
class | PropertyConfigurator
| Property configurator will read a config file using the same (or similar) format to the config file used by log4j. More...
class | RemoteSyslogAppender
| RemoteSyslogAppender sends LoggingEvents to a remote syslog system. More...
class | RollingFileAppender
| RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit. More...
class | SimpleConfigurator
| This class implements a simple Configurator for log4cpp. More...
class | SimpleLayout
| BasicLayout is a simple fixed format Layout implementation. More...
class | StringQueueAppender
| This class puts log messages in an in-memory queue. More...
class | SyslogAppender
| SyslogAppender sends LoggingEvents to the local syslog system. More...
class | TimeStamp
| A simple TimeStamp abstraction. More...
class | TriggeringEventEvaluator
class | TriggeringEventEvaluatorFactory
class | Win32DebugAppender
| Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems. More...
struct | StringLiteralComponent
struct | CategoryNameComponent
struct | MessageComponent
struct | NDCComponent
struct | PriorityComponent
struct | ThreadNameComponent
struct | ProcessorTimeComponent
struct | TimeStampComponent
struct | SecondsSinceEpochComponent
struct | MillisSinceEpochComponent
struct | FormatModifierComponent
class | Properties
class | PropertyConfiguratorImpl
class | StringUtil
## Namespaces
namespace | details
namespace | threading
## Typedefs
typedef std::set< Appender * > | AppenderSet
## Functions
LOG4CPP_EXPORT CategoryStream & | eol (CategoryStream &os)
| eol manipulator
LOG4CPP_EXPORT CategoryStream & | left (CategoryStream &os)
| left manipulator
std::auto_ptr< Appender > | create_abort_appender (const FactoryParams &params)
std::auto_ptr< Appender > | create_file_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_roll_file_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_idsa_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_nt_event_log_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_remote_syslog_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_syslog_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_win32_debug_appender (const FactoryParams &)
std::auto_ptr< Appender > | create_smtp_appender (const FactoryParams &)
std::auto_ptr< Layout > | create_basic_layout (const FactoryParams &params)
std::auto_ptr< Layout > | create_simple_layout (const FactoryParams &params)
std::auto_ptr< Layout > | create_pattern_layout (const FactoryParams &params)
std::auto_ptr< Layout > | create_pass_through_layout (const FactoryParams &params)
std::auto_ptr< TriggeringEventEvaluator > | create_level_evaluator (const FactoryParams &params)
void | localtime (const::time_t *time,::tm *t)
ostream & | operator<< (ostream &os, const width &w)
ostream & | operator<< (ostream &os, const tab &t)
## Variables
LOG4CPP_EXPORT | Filter
LOG4CPP_EXPORT | Category
LOG4CPP_EXPORT | CategoryStream
static AppendersFactory * | appenders_factory_ = 0
static const std::string | EMPTY
static LayoutsFactory * | layouts_factory_ = 0
threading::ThreadLocalDataHolder< NDC > | _nDC
const std::string | names [10]
static TriggeringEventEvaluatorFactory * | evaluators_factory_ = 0

## Detailed Description

The top level namespace for all 'Log for C++' types and classes.

## Typedef Documentation

typedef std::set<Appender *> log4cpp::AppenderSet

## Function Documentation

std::auto_ptr< Appender > log4cpp::create_abort_appender | ( | const FactoryParams & | params | ) |

std::auto_ptr< Layout > log4cpp::create_basic_layout | ( | const FactoryParams & | params | ) |

std::auto_ptr< Appender > log4cpp::create_file_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr<Appender> log4cpp::create_idsa_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr< TriggeringEventEvaluator > log4cpp::create_level_evaluator | ( | const FactoryParams & | params | ) |

std::auto_ptr< Appender > log4cpp::create_nt_event_log_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr< Layout > log4cpp::create_pass_through_layout | ( | const FactoryParams & | params | ) |

std::auto_ptr< Layout > log4cpp::create_pattern_layout | ( | const FactoryParams & | params | ) |

std::auto_ptr< Appender > log4cpp::create_remote_syslog_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr< Appender > log4cpp::create_roll_file_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr< Layout > log4cpp::create_simple_layout | ( | const FactoryParams & | params | ) |

std::auto_ptr<Appender> log4cpp::create_smtp_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr<Appender> log4cpp::create_syslog_appender | ( | const FactoryParams & |  | ) |

std::auto_ptr< Appender > log4cpp::create_win32_debug_appender | ( | const FactoryParams & |  | ) |

CategoryStream & log4cpp::eol | ( | CategoryStream & | os | ) |

eol manipulator

CategoryStream & log4cpp::left | ( | CategoryStream & | os | ) |

left manipulator

void log4cpp::localtime | ( | const ::time_t * | time,
|  | ::tm * | t |
| ) |  |  |

ostream& log4cpp::operator<< | ( | ostream & | os,
|  | const tab & | t |
| ) |  |  |

ostream& log4cpp::operator<< | ( | ostream & | os,
|  | const width & | w |
| ) |  |  |

## Variable Documentation

threading::ThreadLocalDataHolder<NDC> log4cpp::_nDC`[static]`

AppendersFactory* log4cpp::appenders_factory_ = 0`[static]`

class LOG4CPP_EXPORT log4cpp::Category

class LOG4CPP_EXPORT log4cpp::CategoryStream

const std::string log4cpp::EMPTY`[static]`

TriggeringEventEvaluatorFactory* log4cpp::evaluators_factory_ = 0`[static]`

class LOG4CPP_EXPORT log4cpp::Filter

LayoutsFactory* log4cpp::layouts_factory_ = 0`[static]`

const std::string log4cpp::names[10]`[static]`

Initial value:

     {
                "FATAL",
                            "ALERT",
                            "CRIT",
                            "ERROR",
                            "WARN",
                "NOTICE",
                            "INFO",
                            "DEBUG",
                            "NOTSET",
                            "UNKNOWN"
            }